Bug 1514536 - Wrong Accept-Language is being sent on localized Firefox
Summary: Wrong Accept-Language is being sent on localized Firefox
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 17:21 UTC by Piotr Drąg
Modified: 2018-03-21 19:49 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-21 19:49:50 UTC


Attachments (Terms of Use)

Description Piotr Drąg 2017-11-17 17:21:14 UTC
Description of problem:
It seems that https://bugzilla.mozilla.org/show_bug.cgi?id=1005640#c63 didn’t fix the problem on Fedora.

Version-Release number of selected component (if applicable):
firefox-57.0-2.fc27.x86_64, although it’s there for many versions now.

How reproducible:
Always.

Steps to Reproduce:
1. Launch Firefox with LANG=pl_PL.UTF-8.
2.
3.

Actual results:
en-US,en;q=0.5

Expected results:
pl,en-US;q=0.7,en;q=0.3

Additional info:
Doesn’t happen on upstream builds or Arch packages, as verified by a Mozilla dev: https://bugzilla.mozilla.org/show_bug.cgi?id=1005640#c67

Comment 1 Till Maas 2018-03-14 19:05:48 UTC
Also a problem on Fedora 28

Comment 2 Piotr Drąg 2018-03-21 19:49:50 UTC
Seems fixed in Firefox 59.


Note You need to log in before you can comment on or make changes to this bug.